Gecode::Iter::Values::BitSetOffset< BS > Class Template Reference
Common functionality » Range and value iterators » Value iterators

Value iterator for values in an offset bitset. More...

`#include <values-bitsetoffset.hpp>`

## Protected Member Functions

void | move (void)
| Move to next set bit.

## Protected Attributes

const BS & | bs
| Bitset.
int | cur
| Current value.
int | limit
| Limit value.

## Constructors and initialization

| BitSetOffset (const BS &bs)
| Initialize with bitset bs.
| BitSetOffset (const BS &bs, int n, int m)
| Initialize with bitset bs and start n and stop m.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

template<class BS>
class Gecode::Iter::Values::BitSetOffset< BS >

Value iterator for values in an offset bitset.

Definition at line 45 of file values-bitsetoffset.hpp.

## Constructor & Destructor Documentation

## BitSetOffset() [1/2]

template<class BS>

Gecode::Iter::Values::BitSetOffset< BS >::BitSetOffset | ( | const BS & | bs | ) |

inline

Initialize with bitset bs.

Definition at line 82 of file values-bitsetoffset.hpp.

## BitSetOffset() [2/2]

template<class BS>

Gecode::Iter::Values::BitSetOffset< BS >::BitSetOffset | ( | const BS & | bs,
|  | int | n,
|  | int | m )

inline

Initialize with bitset bs and start n and stop m.

Definition at line 88 of file values-bitsetoffset.hpp.

## Member Function Documentation

## move()

template<class BS>

void Gecode::Iter::Values::BitSetOffset< BS >::move | ( | void |  | ) |

protected

Move to next set bit.

## operator()()

template<class BS>

bool Gecode::Iter::Values::BitSetOffset< BS >::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 101 of file values-bitsetoffset.hpp.

## operator++()

template<class BS>

void Gecode::Iter::Values::BitSetOffset< BS >::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 96 of file values-bitsetoffset.hpp.

## val()

template<class BS>

int Gecode::Iter::Values::BitSetOffset< BS >::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 107 of file values-bitsetoffset.hpp.

## Member Data Documentation

## bs

template<class BS>

const BS& Gecode::Iter::Values::BitSetOffset< BS >::bs

protected

Bitset.

Definition at line 48 of file values-bitsetoffset.hpp.

## cur

template<class BS>

int Gecode::Iter::Values::BitSetOffset< BS >::cur

protected

Current value.

Definition at line 50 of file values-bitsetoffset.hpp.

## limit

template<class BS>

int Gecode::Iter::Values::BitSetOffset< BS >::limit

protected

Limit value.

Definition at line 52 of file values-bitsetoffset.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/values-bitsetoffset.hpp